'use strict';
const Schema = require('mongoose').Schema;

const SchemaDefine = {
  thumbnail: { type: String, required: true }, // 缩略图
  title: { type: String, required: true }, // 标题
  content: { type: String, required: true }, // 内容
  column: { type: String, required: true }, // 绑定的栏目
  slug: { type: String, required: true }, // 摘要
};
const schema = new Schema(SchemaDefine);
module.exports = app => {
  const { mongoose } = app;
  return mongoose.model('Content', schema, 'content');
};
