'use strict';
const Schema = require('mongoose').Schema;

const SchemaDefine = {
  thumbnail: { type: String, required: true }, // 缩略图
  name: { type: String, required: true }, // 名称
  code: { type: String, required: true }, // 编码
  level: { type: String, required: true }, // 医院级别
  content: { type: String, required: true }, // 内容
  address: { type: String, required: true }, // 地址
  region: { type: String, required: true }, // 区域编码
};
const schema = new Schema(SchemaDefine);
module.exports = app => {
  const { mongoose } = app;
  return mongoose.model('Hospital', schema, 'hospital');
};
