'use strict';
const Schema = require('mongoose').Schema;

const SchemaDefine = {
  name: { type: String, required: true }, // 姓名
  phone: { type: String, required: true }, // 手机号
  time: { type: String, required: true }, // 订单时间
  openid: { type: String, required: true }, // openid
  code: { type: String, required: true }, // 行政区编码
  hospitalId: { type: String, required: true }, // 医院id
  hospitalName: { type: String, required: true }, // 医院名称
  subjectId: { type: String, required: true }, // 科室id
  subjectName: { type: String, required: true }, // 科室名称
  specialistId: { type: String, required: false }, // 专家id
  specialistName: { type: String, required: false }, // 专家名称
  money: { type: String, required: false, default: '0' }, // 金额
  status: { type: String, required: false, default: '0' }, // 付款状态
  remark: { type: String, required: false }, // 备注
  out_trade_no: { type: String, required: true }, // 订单号
};
const schema = new Schema(SchemaDefine);
module.exports = app => {
  const { mongoose } = app;
  return mongoose.model('Order', schema, 'order');
};
