'use strict';
const Schema = require('mongoose').Schema;
const SchemaDefine = {
  thumbnail: { type: String, required: true },
  code: { type: String, required: true },
  hospitalId: { type: String, required: true },
  subjectId: { type: String, required: true },
  subjectName: { type: String, required: true },
  name: { type: String, required: true },
  ability: { type: String, required: true }, // 能力
  content: { type: String, required: true },
  money: { type: String, required: true },
};
const schema = new Schema(SchemaDefine);
module.exports = app => {
  const { mongoose } = app;
  return mongoose.model('Specialist', schema, 'specialist');
};
