'use strict';
const Schema = require('mongoose').Schema;

const SchemaDefine = {
  openid: { type: String, required: true },
  name: { type: String, required: true },
  phone: { type: String, required: true },
  status: { type: String, required: false, default: 0 },
};
const schema = new Schema(SchemaDefine);
module.exports = app => {
  const { mongoose } = app;
  return mongoose.model('User', schema, 'user');
};
