'use strict';

const Controller = require('egg').Controller;

class LoginController extends Controller {
  constructor(ctx) {
    super(ctx);
    this.service = this.ctx.service.login;
  }

  async adminlogin() {
    const { ctx } = this;
    const { userName, password } = ctx.request.body;
    const res = await this.service.adminlogin({ userName, password });
    this.ctx.ok(res);
  }
  // POST 修改用户密码
  async editPwa() {
    const { ctx } = this;
    await this.service.editPwa(ctx.request.body);
    this.ctx.ok('updated');
  }

}

module.exports = LoginController;
