'use strict';
const Schema = require('mongoose').Schema;
const SchemaDefine = {
  openid: { type: String, required: false },
  userName: { type: String, required: true },
  password: { type: String, required: true },
  status: { type: String, required: true },
};
const schema = new Schema(SchemaDefine);
module.exports = app => {
  const { mongoose } = app;
  return mongoose.model('Admin', schema, 'admin');
};
