'use strict';
const Schema = require('mongoose').Schema;

const SchemaDefine = {
  thumbnail: { type: String, required: false },
  name: { type: String, required: true },
  hospitalId: { type: String, required: true },
  content: { type: String, required: false },
  code: { type: String, required: true },
};
const schema = new Schema(SchemaDefine);
module.exports = app => {
  const { mongoose } = app;
  return mongoose.model('Subject', schema, 'subject');
};
